<?php
// Authors: Rene Plötz
// Licence: GNU GPLv2
// Project Page: http://bitbucket.org/tausendeins/softwikiclassmodel
// Description: This file is part of the Softwiki Class Model Viewer used to visualize Models of the Softwiki Project.

if (@!($m=$_GET["m"])) $m="";
if (@!($v=$_GET["v"])) $v="";
if ($m=="") $m="Projekt_EMailWebclient";
$model_uri="http://projekte.softwiki.de/".$m."/";
$base_node = "http://projekte.softwiki.de/softwiki/open/?m=".$model_uri."&requirement=";
$base_edge = "http://projekte.softwiki.de/softwiki/open/?m=".$model_uri."&tag=";

if (($v=="1")or($v=="2")or($v=="3")or($v=="4")) {
   $visualisation = $v;
} else {
   $visualisation = "1";
}

$query="PREFIX req: <http://ns.softwiki.de/req/> PREFIX dc: <http://purl.org/dc/elements/1.1/> PREFIX tags: <http://www.holygoat.co.uk/owl/redwood/0.1/tags/> PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema> PREFIX doap: <http://usefulinc.com/ns/doap> ";
$comment= "Requirement_Uri, Tag_Uri, Tag_Name";
$info= "This graph shows an class model.";
$query.="SELECT DISTINCT ?r_u ?t_u ?t_n ?r_t FROM <".$model_uri."> WHERE {  ?r_u a req:Requirement . ?r_u tags:taggedWithTag ?t_u. ?t_u tags:name ?t_n. ?r_u dc:title ?r_t.}";
$nodes="t_u";
$nodesproperties="(t_u,uri,t_u,uri);(t_u,Class,t_n,literal);(t_u,name,t_n,literal)";
$edges="r_u";
$edgesproperties="(r_u,uri,r_u	,uri);(r_u,Requirement,r_t,literal)";

if (stristr($_SERVER["HTTP_ACCEPT"],"application/xhtml+xml")) {
    header("Content-type: application/xhtml+xml");
} else {
    header("Content-type: text/html");
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <title>Model Viewer</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta name="language" content="en" />
  <meta name="description" content="Model Viewer for Softwiki" />
  <meta name="keywords" content="model viewer modelviwer softwiki" />

  <script src="swfobject.js" type="text/javascript"></script>
  <script type="text/javascript">
      /* <![CDATA[ */
    var flashvars = {
        project: "<?php echo urlencode($m);?>",
        comment: "<?php echo urlencode($comment)?>",
        info: "<?php echo urlencode($info)?>",
        basenode: "<?php echo urlencode($base_node);?>",
        baseedge: "<?php echo urlencode($base_edge);?>",
        query: "<?php echo urlencode($query);?>",
        nodes: "<?php echo $nodes;?>",
        nodesproperties: "<?php echo $nodesproperties;?>",
        edges: "<?php echo $edges;?>",
        edgesproperties: "<?php echo $edgesproperties;?>",
        visualisation: "<?php echo $visualisation;?>"
    };
    var params = {
      menu: "false",
      scale: "exactfit",
      allowFullscreen: "true",
      allowScriptAccess: "always",
      bgcolor: "#FFFFFF"
    };
    var attributes = {
      id: "modelview",
      name: "modelview"
    };
    swfobject.embedSWF("SoftWikiClassModel.swf", "content", screen.width, screen.height, "10.0.0", "expressInstall.swf", flashvars, params, attributes);
      /* ]]> */
  </script>
  <style type="text/css">
    html, body, body.sidebars { width:100%; height:100%; margin:0; padding:0;}
  </style>
</head>
<body>
  <div id="container">
    <div id="content">
      <h1>Model Viewer</h1>
      <p>Alternative content</p>
      <p><a href="http://www.adobe.com/go/getflashplayer"><img
        src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif"
        alt="Get Adobe Flash player" /></a></p>
    </div>
  </div>
</body>
</html>
